Projects
api_documentation.endpoint
GET https://zapped.to/api/projects/
Authentication
An API key with the projects:read scope (Read projects), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request GET \
--url 'https://zapped.to/api/projects/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/projects/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
| api_documentation.parameters | Details | Description |
|---|---|---|
| search | api_documentation.optional api_documentation.string | api_documentation.filters.search |
| search_by | api_documentation.optional api_documentation.string | api_documentation.filters.search_by |
| datetime_field | api_documentation.optional api_documentation.string | api_documentation.allowed_values |
| datetime_start | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_start |
| datetime_end | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_end |
| order_by | api_documentation.optional api_documentation.string | api_documentation.filters.order_by |
| order_type | api_documentation.optional api_documentation.string | api_documentation.filters.order_by_type |
| page | api_documentation.optional api_documentation.int | api_documentation.filters.page |
| results_per_page | api_documentation.optional api_documentation.int | api_documentation.filters.results_per_page |
api_documentation.response
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-09-28 07:13:57"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zapped.to/api/projects?page=1",
"last": "https://zapped.to/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://zapped.to/api/projects?page=1"
}
}
api_documentation.endpoint
GET https://zapped.to/api/projects/{project_id}
Authentication
An API key with the projects:read scope (Read projects), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request GET \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
api_documentation.response
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-09-28 07:13:57"
}
}
api_documentation.endpoint
POST https://zapped.to/api/projects
Authentication
An API key with the projects:write scope (Create, change and delete projects), sent as Authorization: Bearer YOUR_API_KEY.
| api_documentation.parameters | Details | Description |
|---|---|---|
| name | api_documentation.required api_documentation.string | - |
| color | api_documentation.optional api_documentation.string | - |
api_documentation.example
curl --request POST \
--url 'https://zapped.to/api/projects' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://zapped.to/api/projects' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
api_documentation.response
{
"data": {
"id": 1
}
}
api_documentation.endpoint
POST https://zapped.to/api/projects/{project_id}
Authentication
An API key with the projects:write scope (Create, change and delete projects), sent as Authorization: Bearer YOUR_API_KEY.
| api_documentation.parameters | Details | Description |
|---|---|---|
| name | api_documentation.optional api_documentation.string | - |
| color | api_documentation.optional api_documentation.string | - |
api_documentation.example
curl --request POST \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
api_documentation.response
{
"data": {
"id": 1
}
}
api_documentation.endpoint
DELETE https://zapped.to/api/projects/{project_id}
Authentication
An API key with the projects:write scope (Create, change and delete projects), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request DELETE \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/projects/{project_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \